Subject: bug#27418: `guix pull` gets stuck at "updating substitutes from 'https://mirror.hydra.gnu.org'... 100.0%"

From: Mekeor Melire <[email-masked]>
Date: Tue, 20 Jun 2017 02:16:01 +0200

Following rekado's friendly advice, I was able to downgrade guix with:

    guix pull --url=https://git.savannah.gnu.org/cgit/guix.git/snapshot/01049bb0c1f3f69afb8d1782f99ca5c0adaed946.tar.gz --no-substitutes

where both options (--url and --no-substitutes) were neccessary. Now,
everything seems to work again: commands like `guix package -i` and
`guix system reconfigure` no longer get stuck at "updating list of
substitutes".

Thanks, rekado.

Still, I wonder
  * what caused this issue;
  * if anybody else is/was experiencing it; and
  * when it will be fixed in master-branch (i.e. when I will be able to
    `guix pull` and `guix pull` again successfully).